---
title: GET /structured-content/content-types/{content_type_id}
slug: content-marketing-platform/api/get-structured-contentcontent-typescontenttypeid
docTags: 
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "rZwoX4P_Pm96bPuxW4_wJ",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "GET /structured-content/content-types/{content_type_id}",
    "description": "<p>Experimental Get content type.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "content_type_id",
          "type": "string",
          "description": "Unique identifier of the content type"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful response",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "SCContentType",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Name of the content type"
              },
              {
                "name": "description",
                "kind": "optional",
                "type": "string",
                "description": "Description of the content type"
              },
              {
                "name": "component",
                "kind": "required",
                "type": "boolean",
                "description": "Status determining whether the content type is a component"
              },
              {
                "name": "disabled",
                "kind": "optional",
                "type": "boolean",
                "description": "Disabled status of the content type"
              },
              {
                "name": "source",
                "kind": "optional",
                "type": "string",
                "description": "Source of the content type"
              },
              {
                "name": "thumbnail_guid",
                "kind": "optional",
                "type": "string",
                "description": "Thumbnail GUID of the content type"
              },
              {
                "name": "content_type_guid",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier of the content type"
              },
              {
                "name": "created_by",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier of the user who created the content type"
              },
              {
                "name": "updated_by",
                "kind": "required",
                "type": "string",
                "description": "Unique identifier of the user who last updated the content type"
              },
              {
                "name": "created_at",
                "kind": "required",
                "type": "string<date-time>",
                "description": "<p>Date and time on which the content type was created, in ISO 8601 UTC format</p>",
                "format": "date-time"
              },
              {
                "name": "updated_at",
                "kind": "required",
                "type": "string<date-time>",
                "description": "<p>Date and time on which the content type was last updated, in ISO 8601 UTC format</p>",
                "format": "date-time"
              },
              {
                "name": "source_id",
                "kind": "optional",
                "type": "string",
                "description": "Source of the content type"
              },
              {
                "name": "source_metadata",
                "kind": "optional",
                "type": "string",
                "description": "Source metadata of the content type"
              },
              {
                "name": "links",
                "kind": "required",
                "type": "object",
                "description": "Meta Links",
                "example": "",
                "schema": [
                  {
                    "name": "self",
                    "kind": "optional",
                    "type": "string",
                    "description": "URL of the content type",
                    "example": "https://api.cmp.optimizely.com/v3/structured-content/content-types/9fda53cf66a14fd487251480ca695c7b"
                  },
                  {
                    "name": "versions",
                    "kind": "optional",
                    "type": "string",
                    "description": "URL of the content type versions",
                    "example": "https://api.cmp.optimizely.com/v3/structured-content/content-types/9fda53cf66a14fd487251480ca695c7b/versions"
                  }
                ]
              },
              {
                "name": "latest_version",
                "kind": "required",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/SCContentTypeVersion",
                "customType": "SCContentTypeVersion",
                "schema": [],
                "complexType": "allOf",
                "complexItems": [
                  {
                    "name": "BaseContentTypeVersionModel",
                    "description": "",
                    "modelRef": "#/components/schemas/BaseContentTypeVersionModel",
                    "schema": [
                      {
                        "name": "latest",
                        "kind": "required",
                        "type": "boolean",
                        "description": "Indicates whether the version is the latest"
                      },
                      {
                        "name": "version_guid",
                        "kind": "required",
                        "type": "string",
                        "description": "Unique identifier of the version"
                      },
                      {
                        "name": "created_by",
                        "kind": "required",
                        "type": "string",
                        "description": "Unique identifier of the user who created the version"
                      },
                      {
                        "name": "created_at",
                        "kind": "required",
                        "type": "string<date-time>",
                        "description": "<p>Date and time on which the version was created, in ISO 8601 UTC format</p>",
                        "format": "date-time"
                      },
                      {
                        "name": "expected_locales",
                        "kind": "required",
                        "type": "array",
                        "description": "Expected locales of the version",
                        "example": "",
                        "itemType": "string",
                        "customType": "string[]",
                        "itemExample": "",
                        "itemDefault": ""
                      },
                      {
                        "name": "links",
                        "kind": "required",
                        "type": "object",
                        "description": "Meta links",
                        "example": "",
                        "schema": [
                          {
                            "name": "self",
                            "kind": "optional",
                            "type": "string",
                            "description": "URL of the content type version",
                            "example": "https://api.cmp.optimizely.com/v3/structured-content/content-types/555876bf63e94ea4b3ec4da318736414/versions/31a6d15b09c54a04935203eb958ae058"
                          },
                          {
                            "name": "content_type",
                            "kind": "optional",
                            "type": "string",
                            "description": "URL of the content type",
                            "example": "https://api.cmp.optimizely.com/v3/structured-content/content-types/555876bf63e94ea4b3ec4da318736414"
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "object",
                    "description": "",
                    "schema": [
                      {
                        "name": "field_definitions",
                        "kind": "required",
                        "type": "array",
                        "description": "",
                        "modelRef": "#/components/schemas/NumberFieldDefinition",
                        "customType": "NumberFieldDefinition[]",
                        "schema": [
                          {
                            "name": "core",
                            "kind": "required",
                            "type": "object",
                            "description": "",
                            "modelRef": "#/components/schemas/CoreFieldDef",
                            "customType": "CoreFieldDef",
                            "schema": [
                              {
                                "name": "key",
                                "kind": "required",
                                "type": "string",
                                "description": "Key of the field"
                              },
                              {
                                "name": "name",
                                "kind": "required",
                                "type": "string",
                                "description": "Name of the field"
                              },
                              {
                                "name": "is_list",
                                "kind": "required",
                                "type": "boolean",
                                "description": "Indicates whether the field is a list"
                              },
                              {
                                "name": "is_required",
                                "kind": "required",
                                "type": "boolean",
                                "description": "Required status of the field"
                              },
                              {
                                "name": "need_internationalization",
                                "kind": "required",
                                "type": "boolean",
                                "description": "Indicates whether the field needs internationalization"
                              },
                              {
                                "name": "min_list_length",
                                "kind": "optional",
                                "type": "integer",
                                "description": "Minimum length of the list"
                              },
                              {
                                "name": "max_list_length",
                                "kind": "optional",
                                "type": "integer",
                                "description": "Maximum length of the list"
                              },
                              {
                                "name": "field_type",
                                "kind": "optional",
                                "type": "string",
                                "description": "An enumeration.",
                                "modelRef": "#/components/schemas/FieldType",
                                "customType": "FieldType",
                                "schema": []
                              },
                              {
                                "name": "source_id",
                                "kind": "optional",
                                "type": "string",
                                "description": "Source ID of the field"
                              },
                              {
                                "name": "source_metadata",
                                "kind": "optional",
                                "type": "string",
                                "description": "Source metadata of the field"
                              },
                              {
                                "name": "order_index",
                                "kind": "optional",
                                "type": "integer",
                                "description": "Order index of the field"
                              },
                              {
                                "name": "help_text",
                                "kind": "optional",
                                "type": "string",
                                "description": "Helptext of the field"
                              },
                              {
                                "name": "editor_metadata",
                                "kind": "optional",
                                "type": "object",
                                "description": "Editor metadata of the field",
                                "complexType": "anyOf",
                                "complexItems": [],
                                "schema": []
                              }
                            ]
                          },
                          {
                            "name": "min_value",
                            "kind": "optional",
                            "type": "number",
                            "description": "Minimum value of the field"
                          },
                          {
                            "name": "max_value",
                            "kind": "optional",
                            "type": "number",
                            "description": "Maximum value of the field"
                          },
                          {
                            "name": "default_values",
                            "kind": "optional",
                            "type": "array",
                            "description": "Default values of the field",
                            "example": "",
                            "itemType": "number",
                            "customType": "number[]",
                            "itemExample": "",
                            "itemDefault": ""
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/SCContentType",
            "complexItems": [
              {
                "name": "object",
                "schema": [
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "description": "Name of the content type"
                  },
                  {
                    "name": "description",
                    "kind": "optional",
                    "type": "string",
                    "description": "Description of the content type"
                  },
                  {
                    "name": "component",
                    "kind": "required",
                    "type": "boolean",
                    "description": "Status determining whether the content type is a component"
                  },
                  {
                    "name": "disabled",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "Disabled status of the content type"
                  },
                  {
                    "name": "source",
                    "kind": "optional",
                    "type": "string",
                    "description": "Source of the content type"
                  },
                  {
                    "name": "thumbnail_guid",
                    "kind": "optional",
                    "type": "string",
                    "description": "Thumbnail GUID of the content type"
                  },
                  {
                    "name": "content_type_guid",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier of the content type"
                  },
                  {
                    "name": "created_by",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier of the user who created the content type"
                  },
                  {
                    "name": "updated_by",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier of the user who last updated the content type"
                  },
                  {
                    "name": "created_at",
                    "kind": "required",
                    "type": "string<date-time>",
                    "description": "<p>Date and time on which the content type was created, in ISO 8601 UTC format</p>",
                    "format": "date-time"
                  },
                  {
                    "name": "updated_at",
                    "kind": "required",
                    "type": "string<date-time>",
                    "description": "<p>Date and time on which the content type was last updated, in ISO 8601 UTC format</p>",
                    "format": "date-time"
                  },
                  {
                    "name": "source_id",
                    "kind": "optional",
                    "type": "string",
                    "description": "Source of the content type"
                  },
                  {
                    "name": "source_metadata",
                    "kind": "optional",
                    "type": "string",
                    "description": "Source metadata of the content type"
                  },
                  {
                    "name": "links",
                    "kind": "required",
                    "type": "object",
                    "description": "Meta Links",
                    "example": "",
                    "schema": [
                      {
                        "name": "self",
                        "kind": "optional",
                        "type": "string",
                        "description": "URL of the content type",
                        "example": "https://api.cmp.optimizely.com/v3/structured-content/content-types/9fda53cf66a14fd487251480ca695c7b"
                      },
                      {
                        "name": "versions",
                        "kind": "optional",
                        "type": "string",
                        "description": "URL of the content type versions",
                        "example": "https://api.cmp.optimizely.com/v3/structured-content/content-types/9fda53cf66a14fd487251480ca695c7b/versions"
                      }
                    ]
                  }
                ],
                "modelRef": "#/components/schemas/BaseContentTypeModel",
                "customType": "BaseContentTypeModel"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "latest_version",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/SCContentTypeVersion",
                    "customType": "SCContentTypeVersion",
                    "schema": [],
                    "complexType": "allOf",
                    "complexItems": [
                      {
                        "name": "BaseContentTypeVersionModel",
                        "description": "",
                        "modelRef": "#/components/schemas/BaseContentTypeVersionModel",
                        "schema": [
                          {
                            "name": "latest",
                            "kind": "required",
                            "type": "boolean",
                            "description": "Indicates whether the version is the latest"
                          },
                          {
                            "name": "version_guid",
                            "kind": "required",
                            "type": "string",
                            "description": "Unique identifier of the version"
                          },
                          {
                            "name": "created_by",
                            "kind": "required",
                            "type": "string",
                            "description": "Unique identifier of the user who created the version"
                          },
                          {
                            "name": "created_at",
                            "kind": "required",
                            "type": "string<date-time>",
                            "description": "<p>Date and time on which the version was created, in ISO 8601 UTC format</p>",
                            "format": "date-time"
                          },
                          {
                            "name": "expected_locales",
                            "kind": "required",
                            "type": "array",
                            "description": "Expected locales of the version",
                            "example": "",
                            "itemType": "string",
                            "customType": "string[]",
                            "itemExample": "",
                            "itemDefault": ""
                          },
                          {
                            "name": "links",
                            "kind": "required",
                            "type": "object",
                            "description": "Meta links",
                            "example": "",
                            "schema": [
                              {
                                "name": "self",
                                "kind": "optional",
                                "type": "string",
                                "description": "URL of the content type version",
                                "example": "https://api.cmp.optimizely.com/v3/structured-content/content-types/555876bf63e94ea4b3ec4da318736414/versions/31a6d15b09c54a04935203eb958ae058"
                              },
                              {
                                "name": "content_type",
                                "kind": "optional",
                                "type": "string",
                                "description": "URL of the content type",
                                "example": "https://api.cmp.optimizely.com/v3/structured-content/content-types/555876bf63e94ea4b3ec4da318736414"
                              }
                            ]
                          }
                        ]
                      },
                      {
                        "name": "object",
                        "description": "",
                        "schema": [
                          {
                            "name": "field_definitions",
                            "kind": "required",
                            "type": "array",
                            "description": "",
                            "modelRef": "#/components/schemas/NumberFieldDefinition",
                            "customType": "NumberFieldDefinition[]",
                            "schema": [
                              {
                                "name": "core",
                                "kind": "required",
                                "type": "object",
                                "description": "",
                                "modelRef": "#/components/schemas/CoreFieldDef",
                                "customType": "CoreFieldDef",
                                "schema": [
                                  {
                                    "name": "key",
                                    "kind": "required",
                                    "type": "string",
                                    "description": "Key of the field"
                                  },
                                  {
                                    "name": "name",
                                    "kind": "required",
                                    "type": "string",
                                    "description": "Name of the field"
                                  },
                                  {
                                    "name": "is_list",
                                    "kind": "required",
                                    "type": "boolean",
                                    "description": "Indicates whether the field is a list"
                                  },
                                  {
                                    "name": "is_required",
                                    "kind": "required",
                                    "type": "boolean",
                                    "description": "Required status of the field"
                                  },
                                  {
                                    "name": "need_internationalization",
                                    "kind": "required",
                                    "type": "boolean",
                                    "description": "Indicates whether the field needs internationalization"
                                  },
                                  {
                                    "name": "min_list_length",
                                    "kind": "optional",
                                    "type": "integer",
                                    "description": "Minimum length of the list"
                                  },
                                  {
                                    "name": "max_list_length",
                                    "kind": "optional",
                                    "type": "integer",
                                    "description": "Maximum length of the list"
                                  },
                                  {
                                    "name": "field_type",
                                    "kind": "optional",
                                    "type": "string",
                                    "description": "An enumeration.",
                                    "modelRef": "#/components/schemas/FieldType",
                                    "customType": "FieldType",
                                    "schema": []
                                  },
                                  {
                                    "name": "source_id",
                                    "kind": "optional",
                                    "type": "string",
                                    "description": "Source ID of the field"
                                  },
                                  {
                                    "name": "source_metadata",
                                    "kind": "optional",
                                    "type": "string",
                                    "description": "Source metadata of the field"
                                  },
                                  {
                                    "name": "order_index",
                                    "kind": "optional",
                                    "type": "integer",
                                    "description": "Order index of the field"
                                  },
                                  {
                                    "name": "help_text",
                                    "kind": "optional",
                                    "type": "string",
                                    "description": "Helptext of the field"
                                  },
                                  {
                                    "name": "editor_metadata",
                                    "kind": "optional",
                                    "type": "object",
                                    "description": "Editor metadata of the field",
                                    "complexType": "anyOf",
                                    "complexItems": [],
                                    "schema": []
                                  }
                                ]
                              },
                              {
                                "name": "min_value",
                                "kind": "optional",
                                "type": "number",
                                "description": "Minimum value of the field"
                              },
                              {
                                "name": "max_value",
                                "kind": "optional",
                                "type": "number",
                                "description": "Maximum value of the field"
                              },
                              {
                                "name": "default_values",
                                "kind": "optional",
                                "type": "array",
                                "description": "Default values of the field",
                                "example": "",
                                "itemType": "number",
                                "customType": "number[]",
                                "itemExample": "",
                                "itemDefault": ""
                              }
                            ]
                          }
                        ]
                      }
                    ]
                  }
                ]
              }
            ],
            "complexType": "allOf",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "422",
        "description": "Validation error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "HTTPValidationError",
            "schema": [
              {
                "name": "detail",
                "kind": "optional",
                "type": "array",
                "description": "Details of the error",
                "modelRef": "#/components/schemas/ValidationError",
                "customType": "ValidationError[]",
                "schema": [
                  {
                    "name": "loc",
                    "kind": "required",
                    "type": "array",
                    "description": "Locations where the error occurred",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "msg",
                    "kind": "required",
                    "type": "string",
                    "description": "Message describing the error"
                  },
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string",
                    "description": "Type of the error"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/HTTPValidationError",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "DFs8_WyyAJMhGXlOorqG4",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "ZvZHNr7tS1CUBCH7OlyOD",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "yVFUMo7eYRoST5US4ELQ9",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "eopmZkJL52LyST44MKY1s",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "DFs8_WyyAJMhGXlOorqG4"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successful response\n{\n  \"name\": \"\",\n  \"description\": \"\",\n  \"component\": false,\n  \"disabled\": false,\n  \"source\": \"\",\n  \"thumbnail_guid\": \"\",\n  \"content_type_guid\": \"\",\n  \"created_by\": \"\",\n  \"updated_by\": \"\",\n  \"created_at\": \"\",\n  \"updated_at\": \"\",\n  \"source_id\": \"\",\n  \"source_metadata\": \"\",\n  \"links\": {\n    \"self\": \"https://api.cmp.optimizely.com/v3/structured-content/content-types/9fda53cf66a14fd487251480ca695c7b\",\n    \"versions\": \"https://api.cmp.optimizely.com/v3/structured-content/content-types/9fda53cf66a14fd487251480ca695c7b/versions\"\n  },\n  \"latest_version\": {}\n}"
        },
        {
          "id": "response-1-422",
          "language": "422",
          "code": "// Validation error\n{\n  \"detail\": [\n    {\n      \"loc\": [\n        \"\"\n      ],\n      \"msg\": \"\",\n      \"type\": \"\"\n    }\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}